Bug 1436340 - [RFE] Replace Ceilometer event with Panko
Summary: [RFE] Replace Ceilometer event with Panko
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.2
Assignee: Marek Aufart
QA Contact: Ola Pavlenko
URL:
Whiteboard: openstack
Depends On: 1432884
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-27 17:00 UTC by Satoe Imaishi
Modified: 2017-08-30 03:46 UTC (History)
8 users (show)

Fixed In Version: 5.7.2.1
Doc Type: Enhancement
Doc Text:
Clone Of: 1432884
Environment:
Last Closed: 2017-04-12 14:47:10 UTC
Category: ---
Cloudforms Team: Openstack
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:0898 0 normal SHIPPED_LIVE Moderate: cfme, cfme-appliance, and cfme-gemset security, bug fix, and enhancement update 2017-04-12 18:31:08 UTC

Comment 2 Marek Aufart 2017-03-28 07:34:39 UTC
Adding PR with fix related to fog-openstack versions caching needed for VCR testing this BZ.

https://github.com/ManageIQ/manageiq/pull/14510

Comment 3 Tzu-Mainn Chen 2017-03-28 17:29:34 UTC
https://github.com/ManageIQ/manageiq/pull/14511 is needed as well

Comment 4 CFME Bot 2017-03-28 18:36:02 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/c6a1c7c4a7f7dcf2e5d5a84cf5650af927d14464

commit c6a1c7c4a7f7dcf2e5d5a84cf5650af927d14464
Author:     Greg Blomquist <blomquisg@gmail.com>
AuthorDate: Wed Mar 15 10:23:38 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Mar 28 14:33:27 2017 -0400

    Merge pull request #13985 from aufi/add_event_catcher_openstack_service_setting
    
    Add :event_catcher_openstack_service setting
    (cherry picked from commit 5745d624fc64b95a203c913da2092c17f26531fd)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436340

 config/settings.yml | 1 +
 1 file changed, 1 insertion(+)

Comment 5 CFME Bot 2017-03-29 12:40:58 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/25af06f684ff102fcc22379d6e84460c1dfa8ea5

commit 25af06f684ff102fcc22379d6e84460c1dfa8ea5
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Fri Mar 24 21:57:55 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 29 08:39:40 2017 -0400

    Merge pull request #14510 from mansam/reset-fog-version-cache-between-tests
    
    Clear Fog::OpenStack's version cache between refresher tests
    (cherry picked from commit 92c99b9b22e1bef2dd973e55cde0e28edbe7efe1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436340

 .../cloud_manager/refresh_spec_helpers.rb          |    3 +
 .../infra_manager/refresher_rhos_juno_spec.rb      |    1 +
 .../cloud_manager/refresher_rhos_icehouse.yml      | 2335 +++----
 .../cloud_manager/refresher_rhos_juno.yml          | 2553 ++++----
 .../cloud_manager/refresher_rhos_kilo.yml          | 4543 +++++++-------
 .../refresher_rhos_kilo_keystone_v3.yml            | 5508 ++++++++---------
 .../refresher_rhos_kilo_with_errors.yml            | 4047 ++++++-------
 .../cloud_manager/refresher_rhos_liberty.yml       | 3147 +++++-----
 .../refresher_rhos_liberty_keystone_v3.yml         | 6372 +++++++++-----------
 9 files changed, 12754 insertions(+), 15755 deletions(-)

Comment 6 CFME Bot 2017-03-29 12:45:55 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f4936d6dfcc8c9fe6897e19c6ed13dc8a6fa3a86

commit f4936d6dfcc8c9fe6897e19c6ed13dc8a6fa3a86
Author:     Jason Frey <fryguy9@gmail.com>
AuthorDate: Sat Mar 25 10:09:54 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Mar 29 08:41:47 2017 -0400

    Merge pull request #14511 from tzumainn/openstack-infra-vcr-test
    
    Reset fog cache before running openstack infra maintenance mode test
    (cherry picked from commit fbd5ebff98f75843644eb75684e6f6abdb8c276a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1436340

 .../providers/openstack/infra_manager/refresher_rhos_juno_spec.rb      | 3 +++
 1 file changed, 3 insertions(+)

Comment 7 Tzu-Mainn Chen 2017-03-30 18:21:58 UTC
https://github.com/ManageIQ/manageiq/pull/14557 was last backport needed

Comment 8 errata-xmlrpc 2017-04-12 14:47:10 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:0898


Note You need to log in before you can comment on or make changes to this bug.